#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcMarketProfile[] cacheitcMarketProfile;

		
		public itcMarketProfile itcMarketProfile(string softwareDescription, string machineAccount, string softwareActivationKey, int leftOffsetX, int marketProfileWidth, double marketProfileBellVolumePercent, MpSessionType marketProfileSessionType, MpDrawType marketProfileDrawType, MpType marketProfileTypeShow, Brush guiMpAskColor, Brush guiMpBidColor, Brush guiMpVolumeColor, bool showPocLevel, Brush guiMpPocColor, int mpPocLineWidth, bool showVahLevel, Brush guiMpVahColor, int mpVahLineWidth, bool showValLevel, Brush guiMpValColor, int mpValLineWidth, bool useCompositeProfile, DateTime compositeStartTime, DateTime compositeEndTime, double compositeUpperLevel, double compositeLowerLevel)
		{
			return itcMarketProfile(Input, softwareDescription, machineAccount, softwareActivationKey, leftOffsetX, marketProfileWidth, marketProfileBellVolumePercent, marketProfileSessionType, marketProfileDrawType, marketProfileTypeShow, guiMpAskColor, guiMpBidColor, guiMpVolumeColor, showPocLevel, guiMpPocColor, mpPocLineWidth, showVahLevel, guiMpVahColor, mpVahLineWidth, showValLevel, guiMpValColor, mpValLineWidth, useCompositeProfile, compositeStartTime, compositeEndTime, compositeUpperLevel, compositeLowerLevel);
		}


		
		public itcMarketProfile itcMarketProfile(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int leftOffsetX, int marketProfileWidth, double marketProfileBellVolumePercent, MpSessionType marketProfileSessionType, MpDrawType marketProfileDrawType, MpType marketProfileTypeShow, Brush guiMpAskColor, Brush guiMpBidColor, Brush guiMpVolumeColor, bool showPocLevel, Brush guiMpPocColor, int mpPocLineWidth, bool showVahLevel, Brush guiMpVahColor, int mpVahLineWidth, bool showValLevel, Brush guiMpValColor, int mpValLineWidth, bool useCompositeProfile, DateTime compositeStartTime, DateTime compositeEndTime, double compositeUpperLevel, double compositeLowerLevel)
		{
			if (cacheitcMarketProfile != null)
				for (int idx = 0; idx < cacheitcMarketProfile.Length; idx++)
					if (cacheitcMarketProfile[idx].SoftwareDescription == softwareDescription && cacheitcMarketProfile[idx].MachineAccount == machineAccount && cacheitcMarketProfile[idx].SoftwareActivationKey == softwareActivationKey && cacheitcMarketProfile[idx].LeftOffsetX == leftOffsetX && cacheitcMarketProfile[idx].MarketProfileWidth == marketProfileWidth && cacheitcMarketProfile[idx].MarketProfileBellVolumePercent == marketProfileBellVolumePercent && cacheitcMarketProfile[idx].MarketProfileSessionType == marketProfileSessionType && cacheitcMarketProfile[idx].MarketProfileDrawType == marketProfileDrawType && cacheitcMarketProfile[idx].MarketProfileTypeShow == marketProfileTypeShow && cacheitcMarketProfile[idx].GuiMpAskColor == guiMpAskColor && cacheitcMarketProfile[idx].GuiMpBidColor == guiMpBidColor && cacheitcMarketProfile[idx].GuiMpVolumeColor == guiMpVolumeColor && cacheitcMarketProfile[idx].ShowPocLevel == showPocLevel && cacheitcMarketProfile[idx].GuiMpPocColor == guiMpPocColor && cacheitcMarketProfile[idx].MpPocLineWidth == mpPocLineWidth && cacheitcMarketProfile[idx].ShowVahLevel == showVahLevel && cacheitcMarketProfile[idx].GuiMpVahColor == guiMpVahColor && cacheitcMarketProfile[idx].MpVahLineWidth == mpVahLineWidth && cacheitcMarketProfile[idx].ShowValLevel == showValLevel && cacheitcMarketProfile[idx].GuiMpValColor == guiMpValColor && cacheitcMarketProfile[idx].MpValLineWidth == mpValLineWidth && cacheitcMarketProfile[idx].UseCompositeProfile == useCompositeProfile && cacheitcMarketProfile[idx].CompositeStartTime == compositeStartTime && cacheitcMarketProfile[idx].CompositeEndTime == compositeEndTime && cacheitcMarketProfile[idx].CompositeUpperLevel == compositeUpperLevel && cacheitcMarketProfile[idx].CompositeLowerLevel == compositeLowerLevel && cacheitcMarketProfile[idx].EqualsInput(input))
						return cacheitcMarketProfile[idx];
			return CacheIndicator<itcMarketProfile>(new itcMarketProfile(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, LeftOffsetX = leftOffsetX, MarketProfileWidth = marketProfileWidth, MarketProfileBellVolumePercent = marketProfileBellVolumePercent, MarketProfileSessionType = marketProfileSessionType, MarketProfileDrawType = marketProfileDrawType, MarketProfileTypeShow = marketProfileTypeShow, GuiMpAskColor = guiMpAskColor, GuiMpBidColor = guiMpBidColor, GuiMpVolumeColor = guiMpVolumeColor, ShowPocLevel = showPocLevel, GuiMpPocColor = guiMpPocColor, MpPocLineWidth = mpPocLineWidth, ShowVahLevel = showVahLevel, GuiMpVahColor = guiMpVahColor, MpVahLineWidth = mpVahLineWidth, ShowValLevel = showValLevel, GuiMpValColor = guiMpValColor, MpValLineWidth = mpValLineWidth, UseCompositeProfile = useCompositeProfile, CompositeStartTime = compositeStartTime, CompositeEndTime = compositeEndTime, CompositeUpperLevel = compositeUpperLevel, CompositeLowerLevel = compositeLowerLevel }, input, ref cacheitcMarketProfile);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcMarketProfile itcMarketProfile(string softwareDescription, string machineAccount, string softwareActivationKey, int leftOffsetX, int marketProfileWidth, double marketProfileBellVolumePercent, MpSessionType marketProfileSessionType, MpDrawType marketProfileDrawType, MpType marketProfileTypeShow, Brush guiMpAskColor, Brush guiMpBidColor, Brush guiMpVolumeColor, bool showPocLevel, Brush guiMpPocColor, int mpPocLineWidth, bool showVahLevel, Brush guiMpVahColor, int mpVahLineWidth, bool showValLevel, Brush guiMpValColor, int mpValLineWidth, bool useCompositeProfile, DateTime compositeStartTime, DateTime compositeEndTime, double compositeUpperLevel, double compositeLowerLevel)
		{
			return indicator.itcMarketProfile(Input, softwareDescription, machineAccount, softwareActivationKey, leftOffsetX, marketProfileWidth, marketProfileBellVolumePercent, marketProfileSessionType, marketProfileDrawType, marketProfileTypeShow, guiMpAskColor, guiMpBidColor, guiMpVolumeColor, showPocLevel, guiMpPocColor, mpPocLineWidth, showVahLevel, guiMpVahColor, mpVahLineWidth, showValLevel, guiMpValColor, mpValLineWidth, useCompositeProfile, compositeStartTime, compositeEndTime, compositeUpperLevel, compositeLowerLevel);
		}


		
		public Indicators.itcMarketProfile itcMarketProfile(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int leftOffsetX, int marketProfileWidth, double marketProfileBellVolumePercent, MpSessionType marketProfileSessionType, MpDrawType marketProfileDrawType, MpType marketProfileTypeShow, Brush guiMpAskColor, Brush guiMpBidColor, Brush guiMpVolumeColor, bool showPocLevel, Brush guiMpPocColor, int mpPocLineWidth, bool showVahLevel, Brush guiMpVahColor, int mpVahLineWidth, bool showValLevel, Brush guiMpValColor, int mpValLineWidth, bool useCompositeProfile, DateTime compositeStartTime, DateTime compositeEndTime, double compositeUpperLevel, double compositeLowerLevel)
		{
			return indicator.itcMarketProfile(input, softwareDescription, machineAccount, softwareActivationKey, leftOffsetX, marketProfileWidth, marketProfileBellVolumePercent, marketProfileSessionType, marketProfileDrawType, marketProfileTypeShow, guiMpAskColor, guiMpBidColor, guiMpVolumeColor, showPocLevel, guiMpPocColor, mpPocLineWidth, showVahLevel, guiMpVahColor, mpVahLineWidth, showValLevel, guiMpValColor, mpValLineWidth, useCompositeProfile, compositeStartTime, compositeEndTime, compositeUpperLevel, compositeLowerLevel);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcMarketProfile itcMarketProfile(string softwareDescription, string machineAccount, string softwareActivationKey, int leftOffsetX, int marketProfileWidth, double marketProfileBellVolumePercent, MpSessionType marketProfileSessionType, MpDrawType marketProfileDrawType, MpType marketProfileTypeShow, Brush guiMpAskColor, Brush guiMpBidColor, Brush guiMpVolumeColor, bool showPocLevel, Brush guiMpPocColor, int mpPocLineWidth, bool showVahLevel, Brush guiMpVahColor, int mpVahLineWidth, bool showValLevel, Brush guiMpValColor, int mpValLineWidth, bool useCompositeProfile, DateTime compositeStartTime, DateTime compositeEndTime, double compositeUpperLevel, double compositeLowerLevel)
		{
			return indicator.itcMarketProfile(Input, softwareDescription, machineAccount, softwareActivationKey, leftOffsetX, marketProfileWidth, marketProfileBellVolumePercent, marketProfileSessionType, marketProfileDrawType, marketProfileTypeShow, guiMpAskColor, guiMpBidColor, guiMpVolumeColor, showPocLevel, guiMpPocColor, mpPocLineWidth, showVahLevel, guiMpVahColor, mpVahLineWidth, showValLevel, guiMpValColor, mpValLineWidth, useCompositeProfile, compositeStartTime, compositeEndTime, compositeUpperLevel, compositeLowerLevel);
		}


		
		public Indicators.itcMarketProfile itcMarketProfile(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int leftOffsetX, int marketProfileWidth, double marketProfileBellVolumePercent, MpSessionType marketProfileSessionType, MpDrawType marketProfileDrawType, MpType marketProfileTypeShow, Brush guiMpAskColor, Brush guiMpBidColor, Brush guiMpVolumeColor, bool showPocLevel, Brush guiMpPocColor, int mpPocLineWidth, bool showVahLevel, Brush guiMpVahColor, int mpVahLineWidth, bool showValLevel, Brush guiMpValColor, int mpValLineWidth, bool useCompositeProfile, DateTime compositeStartTime, DateTime compositeEndTime, double compositeUpperLevel, double compositeLowerLevel)
		{
			return indicator.itcMarketProfile(input, softwareDescription, machineAccount, softwareActivationKey, leftOffsetX, marketProfileWidth, marketProfileBellVolumePercent, marketProfileSessionType, marketProfileDrawType, marketProfileTypeShow, guiMpAskColor, guiMpBidColor, guiMpVolumeColor, showPocLevel, guiMpPocColor, mpPocLineWidth, showVahLevel, guiMpVahColor, mpVahLineWidth, showValLevel, guiMpValColor, mpValLineWidth, useCompositeProfile, compositeStartTime, compositeEndTime, compositeUpperLevel, compositeLowerLevel);
		}

	}
}

#endregion
